import re


class RegexLookupDict(dict):
    def __getitem__(self, item):
        found_vals = []

        for key, value in self.items():
            if re.search(rf"{key}", item):
                found_vals.append(value)
            if len(found_vals) > 1:
                raise LookupError(f"Multiple values found for {item}")

        try:
            return found_vals[0]
        except IndexError:
            raise KeyError(f"No items found for {item}")
